Subject: Re: [bug#30469] [PATCH 0/1] Require Guile >= 2.0.14

From: Eric Bavier <[email-masked]>
Date: Sun, 25 Feb 2018 18:59:24 -0600

On Sat, 24 Feb 2018 23:41:24 +0100
[email-masked] (Ludovic Courtès) wrote:

> Hello,
> 
> Eric Bavier <[email-masked]> skribis:
> 
> > On Thu, 15 Feb 2018 16:26:27 +0100
> > Ludovic Courtès <[email-masked]> wrote:
> >  
> >> Hello Guix,
> >> 
> >> This patch is to require Guile >= 2.0.14, released one year ago, instead
> >> of 2.0.9, released in 2013.
> >> 
> >> For the record, here’s the distro status:
> >> 
> >>   • Debian unstable has 2.2:
> >>     <https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=guile-2.2>.
> >> 
> >>   • Older Debian versions have 2.0.13 (not .14):
> >>     <https://packages.debian.org/search?keywords=guile-2.0>.  
> >
> > How much of this patch would change if it were to instead support
> > 2.0.13?  Is cutting off users of Debian stable a good idea?  
> 
> I’ll double-check but I think the patch remains valid if we require
> 2.0.13.
> 
> If it works I’ll commit that next week.

Cool.

> 
> >> I’d also like it to be the last release that support Guile 2.0.  
> >
> > Same question.  
> 
> 2.2 is becoming quite widespread in distros.
> 
> Overall it’s a cost/benefit tradeoff, and we have to take into account
> that most users get Guix using the binary tarball or GuixSD.

Right.  But this can also become self-fulfilling.  If we make it too
hard for people to build from source, the binary tarball becomes more
and more the only option.

> 
> Thanks for your feedback,

Thanks for humoring me.

`~Eric